
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/wolfie.zip" ),
}
local prefabs = {}

local function common_postinit(inst)
    inst.avatar_tex   = "avatar_wolfie.tex"
    inst.avatar_atlas = "images/avatars/avatar_wolfie.xml"
     
    inst.avatar_ghost_tex   = "avatar_ghost_wolfie.tex"
    inst.avatar_ghost_atlas = "images/avatars/avatar_ghost_wolfie.xml"

    inst.self_inspect_tex   = "self_inspect_wolfie.tex"
    inst.self_inspect_atlas = "images/avatars/self_inspect_wolfie.xml"
end



local function master_postinit(inst)


	-- choose which sounds this character will play
	inst.soundsname = "woodie"
	--inst.talker_path_override = "dontstarve_DLC002/characters/"

	-- a minimap icon must be specified
    inst.entity:AddMiniMapEntity()
    inst.MiniMapEntity:SetIcon("wilson.tex")

	-- todo: Add an example special power here.


	inst.components.hunger:SetMax(45)
	inst.components.sanity:SetMax(90)
	inst.components.health:SetMaxHealth(400)
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.7)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 2.1)
	inst.components.combat.damagemultiplier = 2.25
	inst.components.sanity.night_drain_mult = 0.0
	inst.components.sanity.neg_aura_mult = .8


end

STRINGS.CHARACTER_TITLES.wolfie = "The happy hunter"
STRINGS.CHARACTER_NAMES.wolfie = "wolfie"
STRINGS.CHARACTER_DESCRIPTIONS.wolfie ="*always hungry\n*fast and furious\n*can speak human"
STRINGS.CHARACTER_QUOTES.wolfie = "\HOOOOOOOOOOOOWWWWWLLLLLLLL!\""



return MakePlayerCharacter("wolfie", prefabs, assets, common_postinit, master_postinit)